package cn.quantgroup.xyqb.util;


import cn.quantgroup.xyqb.config.SequencerProperties;

/**
 * Created by hechao on 2020/2/3.
 */
public class DefaultSequencer extends SnowflakeIdentitySequencer {

    public DefaultSequencer(long workerId, SequencerProperties properties) {
        this(workerId, properties.getSequenceBits(), properties.getOperator());
    }

    public DefaultSequencer(long workerId, int sequenceBits, String oper) {
        super(workerId, sequenceBits, oper);
    }

    public DefaultSequencer(long workerId, int sequenceBits) {
        super(workerId, sequenceBits);
    }

    public DefaultSequencer(long workerId) {
        super(workerId);
    }
}
